Package org.apache.qpid.proton.amqp.security

# Class SaslOutcome

java.lang.Object
org.apache.qpid.proton.amqp.security.SaslOutcome

All Implemented Interfaces:
  `SaslFrameBody`

public final class SaslOutcome extends Object implements SaslFrameBody

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.amqp.security.SaslFrameBody

`SaslFrameBody.SaslFrameBodyHandler<E>`

## Constructor Summary

Constructors
Constructor
Description
`SaslOutcome()`

## Method Summary

Modifier and Type
Method
Description
`Binary`
`getAdditionalData()`
`SaslCode`
`getCode()`
`<E> void`
`invoke(SaslFrameBody.SaslFrameBodyHandler<E> handler, Binary payload, E context)`
`void`
`setAdditionalData(Binary additionalData)`
`void`
`setCode(SaslCode code)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SaslOutcome

public SaslOutcome()

## Method Details

### getCode

public SaslCode getCode()

### setCode

public void setCode(SaslCode code)

### getAdditionalData

public Binary getAdditionalData()

### setAdditionalData

public void setAdditionalData(Binary additionalData)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### invoke

public <E> void invoke(SaslFrameBody.SaslFrameBodyHandler<E> handler, Binary payload, E context)

Specified by:
  `invoke` in interface `SaslFrameBody`